<template>
  <q-footer
    class="bg-white text-grey-7 shadow-10"
    v-if="activeHoldingCampaign"
    v-model="showingFooter"
  >
    <component
      :is="whichNavigationTabs"
      :key="'navigationTabs-' + whichNavigationTabs"
      v-bind="$props"
    />
  </q-footer>
</template>

<script>
import { PlatformMixin } from 'src/mixins/PlatformMixin'
import NavigationTabsMobile from 'src/components/layouts/navigation-tabs/NavigationTabsMobile'
import NavigationTabsDesktop from 'src/components/layouts/navigation-tabs/NavigationTabsDesktop'

export default {
  name: 'Footer',
  components: {
    NavigationTabsMobile, NavigationTabsDesktop
  },
  mixins: [
    PlatformMixin
  ],
  data: function () {
    return {
      showingFooter: true
    }
  },
  methods: {
    showFooter () {
      this.showingFooter = true
    },
    hideFooter () {
      this.showingFooter = false
    }
  },
  computed: {
    whichNavigationTabs () {
      return this.isDesktopPlatform ? 'NavigationTabsDesktop' : 'NavigationTabsMobile'
    },
    activeHoldingCampaign () {
      return this.$store.state.fastplatform.holdingCampaign?.holding?.id
    }
  },
  mounted () {
    window.addEventListener('keyboardWillShow', this.hideFooter)
    window.addEventListener('keyboardWillHide', this.showFooter)
  },
  beforeUnmount () {
    window.removeEventListener('keyboardWillShow', this.hideFooter)
    window.removeEventListener('keyboardWillHide', this.showFooter)
  }
}

</script>

<style scoped>

.logo {
  max-width: 50px;
  max-height: 32px;
  margin-bottom: 5px;
  margin-top: 5px;
}

</style>
